Subject: Re: [PATCH v2 0/7] midx: permit changing the preferred pack when reusing the MIDX

From: Derrick Stolee <[email-masked]>
Date: Tue, 23 Aug 2022 12:23:52 -0400

On 8/22/2022 3:50 PM, Taylor Blau wrote:
> Here is a small reroll of my series that resolves a bug that was
> reported[1] by Johannes, and investigated by him, Abhradeep, and Stolee
> in that same sub-thread.
> 
> As before: the crux of the issue is that a MIDX bitmap can enter a
> corrupt state when changing the preferred pack from its value in an
> existing MIDX in certain circumstances as described in the first and
> final patches.
> 
> This version incorporates some cosmetic changes suggested by Stolee, and
> adds a new patch on top which avoids adding objects from the MIDX that
> were represented by the (new) preferred pack, since we know we'll end up
> discarding those objects anyways. For convenience, a range-diff against
> v1 is included below.

You resolved the comments from the previous version well. I'm happy
with the changes.

I have one style nit in the new patch, but it doesn't merit a re-roll
on its own.

Thanks,
-Stolee